import { Request, Response } from 'express';
import { defaultPaginationDto } from '../shared/shared.dto';
import { createDesignationDto, updateDesignationDto } from './designations.dto';
import { DesignationsService } from './designations.service';
export declare class DesignationsController {
    private readonly service;
    constructor(service: DesignationsService);
    create(data: createDesignationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    filteredDesignations(query: defaultPaginationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(designationId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    update(designationId: string, owner_id: string, data: updateDesignationDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(designationId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
